﻿using System;
using System.Collections.Generic;

namespace avalonia_with_entity.Models;

public partial class Teacher
{
    public int Id { get; set; }

    public string Surname { get; set; } = null!;

    public string Name { get; set; } = null!;

    public string? Patronymic { get; set; }

    public int GenderId { get; set; }

    public DateTime Birthday { get; set; }

    public double? Experience { get; set; }

    public string Email { get; set; } = null!;

    public string? Phone { get; set; }

    public virtual Gender Gender { get; set; } = null!;

    public virtual ICollection<TeacherCourse> TeacherCourses { get; set; } = new List<TeacherCourse>();

    public virtual ICollection<TeacherLesson> TeacherLessons { get; set; } = new List<TeacherLesson>();
}
